- Extending Qt Creator Manual
- QtCreator
- IntegerAspect
- Extending Qt Creator Manual 13.0.0

# IntegerAspect Class

class Utils::IntegerAspect

An integer aspect is a integral property of some object, together with a description of its behavior for common operations like visualizing or persisting. More...

Header: | #include <IntegerAspect>
Inherits: | Utils::TypedAspect

- List of all members, including inherited members

## Reimplemented Public Functions

virtual void | addToLayout(Layouting::LayoutItem &parent) override

## Detailed Description

The integer aspect is displayed using a `QSpinBox`.

The visual representation often contains a label in front the display of the spin box.

## Member Function Documentation

### `[override virtual]` void IntegerAspect::addToLayout(Layouting::LayoutItem &parent)

Reimplements: BaseAspect::addToLayout(Layouting::LayoutItem &parent).